package com.ruoyi.mxjb.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 多元升学条件对象 mxjb_multiple_way_cond
 * 
 * @author voluntary
 * @date 2023-08-04
 */
public class MxjbMultipleWayCond extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Integer id;

    /** 多元升学路方向字典 */
    @Excel(name = "多元升学路方向字典")
    private String direction;

    /** 排序序号 */
    @Excel(name = "排序序号")
    private Integer sort;

    /** 条件Id */
    @Excel(name = "条件Id")
    private Integer condId;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 不限/男/女 */
    @Excel(name = "不限/男/女")
    private String sex;

    /** 年龄段 */
    @Excel(name = "年龄段")
    private String age;

    /** 地区 */
    @Excel(name = "地区")
    private String location;

    /** 反转 */
    @Excel(name = "反转")
    private Integer reverse;

    /** 内容 */
    @Excel(name = "内容")
    private String optionValues;

    /** 未匹配时的内容 */
    @Excel(name = "未匹配时的内容")
    private String message;

    private MxjbMultipleWayAsset asset;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setDirection(String direction) 
    {
        this.direction = direction;
    }

    public String getDirection() 
    {
        return direction;
    }
    public void setSort(Integer sort) 
    {
        this.sort = sort;
    }

    public Integer getSort() 
    {
        return sort;
    }
    public void setCondId(Integer condId) 
    {
        this.condId = condId;
    }

    public Integer getCondId() 
    {
        return condId;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public String getSex()
    {
        return sex;
    }
    public void setAge(String age)
    {
        this.age = age;
    }

    public String getAge()
    {
        return age;
    }
    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocation() {
        return location;
    }
    public void setReverse(Integer reverse)
    {
        this.reverse = reverse;
    }

    public Integer getReverse()
    {
        return reverse;
    }
    public void setOptionValues(String optionValues)
    {
        this.optionValues = optionValues;
    }

    public String getOptionValues()
    {
        return optionValues;
    }
    public void setMessage(String message)
    {
        this.message = message;
    }

    public String getMessage()
    {
        return message;
    }

    public MxjbMultipleWayAsset getAsset() {
        return asset;
    }

    public void setAsset(MxjbMultipleWayAsset asset) {
        this.asset = asset;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("direction", getDirection())
            .append("sort", getSort())
            .append("condId", getCondId())
            .append("optionValues", getOptionValues())
            .append("message", getMessage())
            .toString();
    }
}
